Create Accounts
/unified/crm/accounts
Query Parameters
Refer Specifying query parameters in Truto APIs
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
17 supported
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The date and time of the account's creation
16 supported
Custom fields to be set on the account. The keys are the custom field names and the values are the custom field values.
{
"custom_field_name_1": "foo",
"custom_field_name_2": "bar"
}
13 supported
The account's description
14 supported
1 supported
The account's industry
8 supported
Either name or website is required.
21 supported20 required
The account's number of employees
9 supported
The owner of the accounts
16 supported1 required
The owner's unique identifier
13 supported
The extension of the phone number
The unique identifier of the phone number
The phone number
The phone number type
workmobilefax
1 supported
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The contact's tags
10 supported
The tag's unique identifier
The tag's name
1 supported
The account's urls
14 supported
The account's URL type
The account's URL
Either name or website is required.
19 supported
Response Body
The account's unique identifier
20 supported
17 supported
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The date and time of the account's creation
16 supported
All the custom fields present on the account
13 supported
The account's description
14 supported
The account's industry
8 supported
The date and time of the account's last activity
9 supported
The account's name
19 supported
The account's number of employees
9 supported
The account's owner
16 supported
The owner's unique identifier
13 supported
The extension of the phone number
The unique identifier of the phone number
The phone number
The phone number type
Raw data returned from the remote API call.
The contact's tags
10 supported
The tag's unique identifier
The tag's name
The date and time of the account's last update
15 supported
The account's urls
14 supported
The account's URL type
The account's URL
The account's website
19 supported
curl -X POST 'https://api.truto.one/unified/crm/accounts?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "your_name",
"website": "your_website",
"description": "your_description",
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"industry": "your_industry",
"number_of_employees": 0,
"addresses": [],
"phone_numbers": [],
"tags": [],
"created_at": "your_created_at",
"owner": {},
"urls": [],
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"name": "your_name",
"website": "your_website",
"description": "your_description",
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"industry": "your_industry",
"number_of_employees": 0,
"addresses": [],
"phone_numbers": [],
"tags": [],
"created_at": "your_created_at",
"owner": {},
"urls": [],
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/crm/accounts?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/accounts"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"name": "your_name",
"website": "your_website",
"description": "your_description",
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"industry": "your_industry",
"number_of_employees": 0,
"addresses": [],
"phone_numbers": [],
"tags": [],
"created_at": "your_created_at",
"owner": {},
"urls": [],
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'crm',
'accounts',
{
"name": "your_name",
"website": "your_website",
"description": "your_description",
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"industry": "your_industry",
"number_of_employees": 0,
"addresses": [],
"phone_numbers": [],
"tags": [],
"created_at": "your_created_at",
"owner": {},
"urls": [],
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"crm",
"accounts",
{
"name": "your_name",
"website": "your_website",
"description": "your_description",
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"industry": "your_industry",
"number_of_employees": 0,
"addresses": [],
"phone_numbers": [],
"tags": [],
"created_at": "your_created_at",
"owner": {},
"urls": [],
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())